py2exe problem

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
Antworten
sonium
User
Beiträge: 66
Registriert: Mittwoch 27. Oktober 2004, 21:04

Samstag 22. Januar 2005, 22:53

Hi, ich habe mir ein setup skript für py2exe gebastlt, aber er will trotzdem nicht und sagt

Code: Alles auswählen

*** copy dlls ***
setting sys.winver for 'C:\Documents and Settings\Sonium\Desktop\pythonics\dist\
python23.dll' to 'py2exe'
copying C:\Python23\lib\site-packages\py2exe\run.exe -> C:\Documents and Setting
s\Sonium\Desktop\pythonics\dist\gtkGravity.exe
The following modules appear to be missing
['Required_Suite', 'aetools', 'gdk', 'ltihooks', 'win32pipe']
mein Setup Skript ist:

Code: Alles auswählen

from distutils.core import setup
import py2exe

opts = {
     "py2exe": {
         "includes": "pango,atk,gobject",
         "dll_excludes": ["iconv.dll","intl.dll","libatk-1.0-0.dll", 
                     		"libgdk_pixbuf-2.0-0.dll","libgdk-win32-2.0-0.dll",
                 "libglib-2.0-0.dll","libgmodule-2.0-0.dll",
                 "libgobject-2.0-0.dll","libgthread-2.0-0.dll",
                 "libgtk-win32-2.0-0.dll","libpango-1.0-0.dll",
                 "libpangowin32-1.0-0.dll"],
     }
}

setup(console=["gtkGravity.py"], options=opts)
Wäre echt dankbar wenn jemand abhilfe schaffen könnte.
Vortec
User
Beiträge: 52
Registriert: Dienstag 10. Dezember 2002, 11:54

Sonntag 23. Januar 2005, 00:51

Schon versucht "dll_excludes" auszukommentieren?
Kenne mich mit py2exe nicht wirklich aus, aber rein vom logischen her sollte man z.B. "libgdk-win32-2.0-0.dll" nicht ausschließen wenn das Programm GTK benötigt.
| [url=http://www.sourceforge.net/projects/propolice/]propolice[/url] | [url=http://del.icio.us/vortec/]bookmarks[/url] | [url=http://www.BlowIRC.net/]irc[/url] | [url=irc://irc.BlowIRC.net/python]#python[/url] |
Leonidas
Administrator
Beiträge: 16024
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Sonntag 23. Januar 2005, 14:21

Genausowenig die anderen DLLs, die GTK braucht. Das man sie nicht nutzt, heißt in C ja nicht, dass sie nicht benötigt werden.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Antworten